
QGIS Application - Bug report #14519

[Ubuntu 16.04] Apt Repository problem

2016-03-17 01:36 AM - Tomasz Nycz

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.14.0 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22492

Description

Trying to install QGIS from official repo with clean/fresh installation of Xubuntu Xenial, getting apt error, suggesting network (proxy)

problem:

W: Failed to fetch http://qgis.com/debian/dists/xenial/InRelease  Clearsigned file isn't valid, got 'NOSPLIT' (does the network

require authentication?)

E: Nie udało się pobrać niektórych plików indeksu, zostały one zignorowane lub użyto ich starszej wersji.

With terminal wget I'm getting wrong (frameset) output of InRelease file

wget -O - http://qgis.com/debian/dists/xenial/InRelease

--2016-03-17 09:28:50--  http://qgis.com/debian/dists/xenial/InRelease

Translacja qgis.com (qgis.com)... 91.142.249.5

Łączenie się z qgis.com (qgis.com)|91.142.249.5|:80... połączono.

Żądanie HTTP wysłano, oczekiwanie na odpowiedź... 200 OK

Długość: 699 [text/html]

Zapis do: `STDOUT'

-                                                             0%[                                                                                                                                         ]       0 

--.-KB/s               

<!doctype html public "-//W3C//DTD HTML 4.0 //EN">

<html>

<head>

   <title>qgis.com</title>

   <meta http-equiv="window-target" content="_top">

   <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">

   <meta http-equiv="pragma" content="no-cache">

   <meta http-equiv="cache-control" content="no-cache">

         </head>         <frameset rows="100%">

           <frame src="http://qgis.org/debian/dists/xenial/InRelease">

         </frameset>      <body>http://qgis.org/debian/dists/xenial/InRelease

</body>

</html>

<!-- Site powered by SYNCER III -->

<!-- Frameset generated using server 1 -->

<!-- Frameset generated on Thursday 17th 2016f March 2016 09:28:52 AM -->
-                                                          

100%[========================================================================================================================================>]     699  --.-KB/s    in 0s      

2016-03-17 09:28:50 (37,4 MB/s) - zapisano na standardowe wyjście [699/699]


=============================================>]     699  --.-KB/s    in 0s      

2016-03-17 09:28:50 (37,4 MB/s) - zapisano na standardowe wyjście [699/699]

But on web browser (firefox) I'm getting correct output:

-----BEGIN PGP SIGNED MESSAGE-----

Hash: SHA1

Origin: QGIS project

Label: QGIS repository

Suite: xenial

Codename: xenial

Date: Sun, 28 Feb 2016 23:15:44 UTC

Architectures: amd64 i386

Components: main

Description: QGIS project ubuntu repository

MD5Sum:

..........................................

Tried with another ISP (broadband, mobile), same result. Tried on another (Debian based) computer in different localisation, same result.

History

#1 - 2016-03-26 02:05 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

Use qgis.org.
